### windows::object_handle_service

Default service implementation for an object handle.

    class object_handle_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of an object handle implementation.
native_handle_type | The native handle type.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to an object handle.
async_wait | Start an asynchronous wait.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close an object handle implementation.
construct | Construct a new object handle implementation.
destroy | Destroy an object handle implementation.
get_io_service | Get the io_service object that owns the service.
is_open | Determine whether the handle is open.
move_assign | Move-assign from another object handle implementation.
move_construct | Move-construct a new object handle implementation.
native_handle | Get the native handle implementation.
object_handle_service | Construct a new object handle service for the specified io_service.
wait |

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `asio/windows/object_handle_service.hpp`

Convenience header: `asio.hpp`